Bug 151478 - Writer table rows (or columns) cannot be selected with Table->Select->Row (Column) if the last cell contains a nested table.
Summary: Writer table rows (or columns) cannot be selected with Table->Select->Row (C...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.4.0.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.5.0 inReleaseNotes:7.5
Keywords:
Depends on:
Blocks: Writer-Tables-Select
  Show dependency treegraph
 
Reported: 2022-10-12 06:49 UTC by NISZ LibreOffice Team
Modified: 2022-12-04 14:57 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file (11.57 KB, application/vnd.oasis.opendocument.text)
2022-10-12 07:09 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2022-10-12 06:49:30 UTC
Description:
Writer table rows (or columns) cannot be selected 
with Table->Select->Row (Column) if the last cell contains a nested table.

Steps to Reproduce:
1. Open the attached file.
2. Edit -> Track Changes -> Record ON (Show ON/OFF; no difference
3. Place cursor in the yellow cell (Row B)
4. Table -> Select -> Row(Column)

Actual Results:
Writer table rows (or columns) cannot be selected.

Expected Results:
The Writer table rows (or columns) are selected.


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.5.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: ebeb4ce43d04dbbd329f19210c0db86e2b1cf2a0
CPU threads: 4; OS: Windows 10.0 Build 19044; UI render: Skia/Vulkan; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL threaded
Comment 1 NISZ LibreOffice Team 2022-10-12 07:09:00 UTC
Created attachment 182988 [details]
Example file
Comment 2 Commit Notification 2022-10-12 08:17:53 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/0140fd6501c2322cffddaaa14b49137009ffcae4

tdf#151478 sw: fix row/column selection at nested table

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 BogdanB 2022-10-14 17:23:27 UTC
Thanks for solving this bug

Is ok in
Version: 7.5.0.0.alpha0+ / LibreOffice Community
Build ID: 2e887e04c0008a4eb6cbf34050b6fa463a33599f
CPU threads: 16; OS: Linux 5.15; UI render: default; VCL: gtk3
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded

Was not ok in
Version: 7.4.0.2 / LibreOffice Community
Build ID: 1512ce97d7ed39dce3121f7e15651fd8895f950e
CPU threads: 16; OS: Linux 5.15; UI render: default; VCL: gtk3
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded